$fa-font-path: "~@fortawesome/fontawesome-free/webfonts";

@import "~@fortawesome/fontawesome-free/scss/fontawesome.scss";
@import "~@fortawesome/fontawesome-free/scss/regular.scss";
@import "~@fortawesome/fontawesome-free/scss/solid.scss";
@import "~bootstrap/scss/bootstrap";

body {
  margin: 0;
  overflow: hidden;
}

#builder {
  position: absolute;
  left: 0;
  right: 50%;
  top: 64px;
  bottom: 0;
  background-color: #fff;
  z-index: 1;

  @media (max-width: 991px) {
    transform: translateX(-100%);
    transition: transform 0.25s ease-out;
    right: 0;

    &.visible {
      transform: translateX(0);
    }
  }
}

#runner {
  position: absolute;
  left: 0;
  right: 0;
  top: 64px;
  bottom: 0;
  overflow-x: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  scroll-behavior: smooth;
  background-color: #fff;
  padding: 20px;

  @media (min-width: 992px) {
    left: 50%;
  }
}
